Skip to main content
POST
Generate a video

Authorizations

X-API-KEY
string
header
required

Body

application/json
prompt
string
required

What to generate. Refer to references as @Image 1 or @Video 1.

Minimum string length: 1
model_id
string
required

A model id from GET /video/models

resolution
enum<string> | null

One of the model's resolutions; defaults to its default_resolution

Available options:
480p,
720p,
1080p,
2k,
4k
aspect_ratio
enum<string> | null

One of the model's aspect_ratios; defaults to 16:9 when supported

Available options:
16:9,
9:16,
1:1
duration
integer | null

Seconds, one of the model's durations; defaults to its default_duration

Required range: 1 <= x <= 30
start_frame_image_id
string<uuid> | null

Image to open the video with (image mode), from POST /image/upload or an image job

end_frame_image_id
string<uuid> | null

Image to end the video with (frames mode); requires start_frame_image_id

reference_image_ids
string<uuid>[]

Subject or style reference images (references mode), in prompt order

reference_video_ids
string<uuid>[]

Motion or style reference clips (references mode), in prompt order

source_video_id
string<uuid> | null

Video to edit (video_to_video mode), from POST /video/upload or a video job

Response

Successful Response

job_id
string<uuid>
required

Poll GET /video/{job_id} with this ID

estimated_credits
number
required

Credits this job is expected to cost once the video is ready